PayNow

Marketing

Get Email Templates

GEThttps://api.paynow.gg/v1/stores/{storeId}/marketing/email/templates
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
Query parameters
limitintegerOptional
The maximum number of items to return in a single request.
afterFlakeIdOptional
Returns items after the specified ID. Used for forward pagination through results.
beforeFlakeIdOptional
Returns items before the specified ID. Used for backward pagination through results.
ascbooleanOptional
Determines the sort order of returned items. When true, items are returned in ascending order. When false, items are returned in descending order.
Response
200OKEmailTemplateDto[]
Show fields
contentstringRequired
created_atstringRequired
created_byActorDtoRequired
typeenumRequired
Possible enum values
  • anonymous
  • user
  • api_key
  • customer
  • game_server
  • internal
  • admin
  • platform
  • global_customer
idFlakeIdOptional
email_template_stateenumRequired
Possible enum values
  • unspecified
  • inactive
  • activating
  • active
email_template_state_notestringRequired
email_template_typeenumRequired
Possible enum values
  • unspecified
  • layout
  • password_reset
  • email_verification
  • email_change
  • email_changed_notification
  • forgot_password
  • logged_in_new_location
  • welcome_login
  • order_completed
  • refund_initiated
  • subscription_canceled
  • subscription_renewal_failed
  • subscription_price_changed
  • subscription_change_verification_code
  • subscription_renewal_upcoming
  • subscription_manage_login
  • subscription_manage_no_history
  • payout_created
  • payout_completed
  • store_invite
  • store_lock_changed
  • abandoned_checkout_recovery_attempt
  • purchase_follow_up_attempt
  • downloadable_file_granted
  • discord_invite_link
  • gift_card_created
  • trial_ending_soon
  • invoice_generated
  • payment_method_type_approval
  • store_trust_event
  • data_subject_request_export_completed
idFlakeIdRequired
namestringRequired
store_idFlakeIdRequired
updated_atstringOptional
updated_byActorDtoOptional
typeenumRequired
Possible enum values
  • anonymous
  • user
  • api_key
  • customer
  • game_server
  • internal
  • admin
  • platform
  • global_customer
idFlakeIdOptional

Failed requests return a PayNowError body. See the error response guide.

curl -X GET "https://api.paynow.gg/v1/stores/{storeId}/marketing/email/templates" \
  -H "Authorization: APIKey TOKEN"
Response200
[
  {
    "content": "string",
    "created_at": "2024-01-01T00:00:00Z",
    "created_by": {
      "type": "anonymous",
      "id": "411486491630370816"
    },
    "email_template_state": "unspecified",
    "email_template_state_note": "string",
    "email_template_type": "unspecified",
    "id": "411486491630370816",
    "name": "string",
    "store_id": "411486491630370816",
    "updated_by": {
      "type": "anonymous",
      "id": "411486491630370816"
    },
    "updated_at": "2024-01-01T00:00:00Z"
  }
]

Create Email Template

POSThttps://api.paynow.gg/v1/stores/{storeId}/marketing/email/templates
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
Request body
contentstringRequired
email_template_typeenumRequired
Possible enum values
  • unspecified
  • layout
  • password_reset
  • email_verification
  • email_change
  • email_changed_notification
  • forgot_password
  • logged_in_new_location
  • welcome_login
  • order_completed
  • refund_initiated
  • subscription_canceled
  • subscription_renewal_failed
  • subscription_price_changed
  • subscription_change_verification_code
  • subscription_renewal_upcoming
  • subscription_manage_login
  • subscription_manage_no_history
  • payout_created
  • payout_completed
  • store_invite
  • store_lock_changed
  • abandoned_checkout_recovery_attempt
  • purchase_follow_up_attempt
  • downloadable_file_granted
  • discord_invite_link
  • gift_card_created
  • trial_ending_soon
  • invoice_generated
  • payment_method_type_approval
  • store_trust_event
  • data_subject_request_export_completed
namestringRequired
Response
200OKEmailTemplateDto
Show fields
contentstringRequired
created_atstringRequired
created_byActorDtoRequired
typeenumRequired
Possible enum values
  • anonymous
  • user
  • api_key
  • customer
  • game_server
  • internal
  • admin
  • platform
  • global_customer
idFlakeIdOptional
email_template_stateenumRequired
Possible enum values
  • unspecified
  • inactive
  • activating
  • active
email_template_state_notestringRequired
email_template_typeenumRequired
Possible enum values
  • unspecified
  • layout
  • password_reset
  • email_verification
  • email_change
  • email_changed_notification
  • forgot_password
  • logged_in_new_location
  • welcome_login
  • order_completed
  • refund_initiated
  • subscription_canceled
  • subscription_renewal_failed
  • subscription_price_changed
  • subscription_change_verification_code
  • subscription_renewal_upcoming
  • subscription_manage_login
  • subscription_manage_no_history
  • payout_created
  • payout_completed
  • store_invite
  • store_lock_changed
  • abandoned_checkout_recovery_attempt
  • purchase_follow_up_attempt
  • downloadable_file_granted
  • discord_invite_link
  • gift_card_created
  • trial_ending_soon
  • invoice_generated
  • payment_method_type_approval
  • store_trust_event
  • data_subject_request_export_completed
idFlakeIdRequired
namestringRequired
store_idFlakeIdRequired
updated_atstringOptional
updated_byActorDtoOptional
typeenumRequired
Possible enum values
  • anonymous
  • user
  • api_key
  • customer
  • game_server
  • internal
  • admin
  • platform
  • global_customer
idFlakeIdOptional

Failed requests return a PayNowError body. See the error response guide.

curl -X POST "https://api.paynow.gg/v1/stores/{storeId}/marketing/email/templates" \
  -H "Authorization: APIKey TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "email_template_type": "unspecified",
  "name": "string",
  "content": "string"
}'
Response200
{
  "content": "string",
  "created_at": "2024-01-01T00:00:00Z",
  "created_by": {
    "type": "anonymous",
    "id": "411486491630370816"
  },
  "email_template_state": "unspecified",
  "email_template_state_note": "string",
  "email_template_type": "unspecified",
  "id": "411486491630370816",
  "name": "string",
  "store_id": "411486491630370816",
  "updated_by": {
    "type": "anonymous",
    "id": "411486491630370816"
  },
  "updated_at": "2024-01-01T00:00:00Z"
}

Get Email Template

GEThttps://api.paynow.gg/v1/stores/{storeId}/marketing/email/templates/{templateId}
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
templateIdFlakeIdRequired
Response
200OKEmailTemplateDto
Show fields
contentstringRequired
created_atstringRequired
created_byActorDtoRequired
typeenumRequired
Possible enum values
  • anonymous
  • user
  • api_key
  • customer
  • game_server
  • internal
  • admin
  • platform
  • global_customer
idFlakeIdOptional
email_template_stateenumRequired
Possible enum values
  • unspecified
  • inactive
  • activating
  • active
email_template_state_notestringRequired
email_template_typeenumRequired
Possible enum values
  • unspecified
  • layout
  • password_reset
  • email_verification
  • email_change
  • email_changed_notification
  • forgot_password
  • logged_in_new_location
  • welcome_login
  • order_completed
  • refund_initiated
  • subscription_canceled
  • subscription_renewal_failed
  • subscription_price_changed
  • subscription_change_verification_code
  • subscription_renewal_upcoming
  • subscription_manage_login
  • subscription_manage_no_history
  • payout_created
  • payout_completed
  • store_invite
  • store_lock_changed
  • abandoned_checkout_recovery_attempt
  • purchase_follow_up_attempt
  • downloadable_file_granted
  • discord_invite_link
  • gift_card_created
  • trial_ending_soon
  • invoice_generated
  • payment_method_type_approval
  • store_trust_event
  • data_subject_request_export_completed
idFlakeIdRequired
namestringRequired
store_idFlakeIdRequired
updated_atstringOptional
updated_byActorDtoOptional
typeenumRequired
Possible enum values
  • anonymous
  • user
  • api_key
  • customer
  • game_server
  • internal
  • admin
  • platform
  • global_customer
idFlakeIdOptional

Failed requests return a PayNowError body. See the error response guide.

curl -X GET "https://api.paynow.gg/v1/stores/{storeId}/marketing/email/templates/{templateId}" \
  -H "Authorization: APIKey TOKEN"
Response200
{
  "content": "string",
  "created_at": "2024-01-01T00:00:00Z",
  "created_by": {
    "type": "anonymous",
    "id": "411486491630370816"
  },
  "email_template_state": "unspecified",
  "email_template_state_note": "string",
  "email_template_type": "unspecified",
  "id": "411486491630370816",
  "name": "string",
  "store_id": "411486491630370816",
  "updated_by": {
    "type": "anonymous",
    "id": "411486491630370816"
  },
  "updated_at": "2024-01-01T00:00:00Z"
}

Update Email Template

PATCHhttps://api.paynow.gg/v1/stores/{storeId}/marketing/email/templates/{templateId}
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
templateIdFlakeIdRequired
Request body
contentstringOptional
namestringOptional
Response
200OKEmailTemplateDto
Show fields
contentstringRequired
created_atstringRequired
created_byActorDtoRequired
typeenumRequired
Possible enum values
  • anonymous
  • user
  • api_key
  • customer
  • game_server
  • internal
  • admin
  • platform
  • global_customer
idFlakeIdOptional
email_template_stateenumRequired
Possible enum values
  • unspecified
  • inactive
  • activating
  • active
email_template_state_notestringRequired
email_template_typeenumRequired
Possible enum values
  • unspecified
  • layout
  • password_reset
  • email_verification
  • email_change
  • email_changed_notification
  • forgot_password
  • logged_in_new_location
  • welcome_login
  • order_completed
  • refund_initiated
  • subscription_canceled
  • subscription_renewal_failed
  • subscription_price_changed
  • subscription_change_verification_code
  • subscription_renewal_upcoming
  • subscription_manage_login
  • subscription_manage_no_history
  • payout_created
  • payout_completed
  • store_invite
  • store_lock_changed
  • abandoned_checkout_recovery_attempt
  • purchase_follow_up_attempt
  • downloadable_file_granted
  • discord_invite_link
  • gift_card_created
  • trial_ending_soon
  • invoice_generated
  • payment_method_type_approval
  • store_trust_event
  • data_subject_request_export_completed
idFlakeIdRequired
namestringRequired
store_idFlakeIdRequired
updated_atstringOptional
updated_byActorDtoOptional
typeenumRequired
Possible enum values
  • anonymous
  • user
  • api_key
  • customer
  • game_server
  • internal
  • admin
  • platform
  • global_customer
idFlakeIdOptional

Failed requests return a PayNowError body. See the error response guide.

curl -X PATCH "https://api.paynow.gg/v1/stores/{storeId}/marketing/email/templates/{templateId}" \
  -H "Authorization: APIKey TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "content": "string"
}'
Response200
{
  "content": "string",
  "created_at": "2024-01-01T00:00:00Z",
  "created_by": {
    "type": "anonymous",
    "id": "411486491630370816"
  },
  "email_template_state": "unspecified",
  "email_template_state_note": "string",
  "email_template_type": "unspecified",
  "id": "411486491630370816",
  "name": "string",
  "store_id": "411486491630370816",
  "updated_by": {
    "type": "anonymous",
    "id": "411486491630370816"
  },
  "updated_at": "2024-01-01T00:00:00Z"
}

Delete Email Template

DELETEhttps://api.paynow.gg/v1/stores/{storeId}/marketing/email/templates/{templateId}
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
templateIdFlakeIdRequired
Response
204No Content

Failed requests return a PayNowError body. See the error response guide.

curl -X DELETE "https://api.paynow.gg/v1/stores/{storeId}/marketing/email/templates/{templateId}" \
  -H "Authorization: APIKey TOKEN"

Activate Email Template

POSThttps://api.paynow.gg/v1/stores/{storeId}/marketing/email/templates/{templateId}/activate
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
templateIdFlakeIdRequired
Response
204No Content

Failed requests return a PayNowError body. See the error response guide.

curl -X POST "https://api.paynow.gg/v1/stores/{storeId}/marketing/email/templates/{templateId}/activate" \
  -H "Authorization: APIKey TOKEN"

Deactivate Email Template

POSThttps://api.paynow.gg/v1/stores/{storeId}/marketing/email/templates/{templateId}/deactivate
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
templateIdFlakeIdRequired
Response
204No Content

Failed requests return a PayNowError body. See the error response guide.

curl -X POST "https://api.paynow.gg/v1/stores/{storeId}/marketing/email/templates/{templateId}/deactivate" \
  -H "Authorization: APIKey TOKEN"

Deactivate Email Template By Type

POSThttps://api.paynow.gg/v1/stores/{storeId}/marketing/email/templates/deactivate
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
Request body
email_template_typeenumRequired
Possible enum values
  • unspecified
  • layout
  • password_reset
  • email_verification
  • email_change
  • email_changed_notification
  • forgot_password
  • logged_in_new_location
  • welcome_login
  • order_completed
  • refund_initiated
  • subscription_canceled
  • subscription_renewal_failed
  • subscription_price_changed
  • subscription_change_verification_code
  • subscription_renewal_upcoming
  • subscription_manage_login
  • subscription_manage_no_history
  • payout_created
  • payout_completed
  • store_invite
  • store_lock_changed
  • abandoned_checkout_recovery_attempt
  • purchase_follow_up_attempt
  • downloadable_file_granted
  • discord_invite_link
  • gift_card_created
  • trial_ending_soon
  • invoice_generated
  • payment_method_type_approval
  • store_trust_event
  • data_subject_request_export_completed
Response
204No Content

Failed requests return a PayNowError body. See the error response guide.

curl -X POST "https://api.paynow.gg/v1/stores/{storeId}/marketing/email/templates/deactivate" \
  -H "Authorization: APIKey TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "email_template_type": "unspecified"
}'

Get Email Template Definitions

GEThttps://api.paynow.gg/v1/stores/{storeId}/marketing/email/template-definitions
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
Response
204No ContentEmailTemplateDefinitionDto[]
Show fields
componentsEmailTemplateComponentDto[]Required
contentstringRequired
tagstringRequired
default_contentstringRequired
display_namestringRequired
email_template_typeenumRequired
Possible enum values
  • unspecified
  • layout
  • password_reset
  • email_verification
  • email_change
  • email_changed_notification
  • forgot_password
  • logged_in_new_location
  • welcome_login
  • order_completed
  • refund_initiated
  • subscription_canceled
  • subscription_renewal_failed
  • subscription_price_changed
  • subscription_change_verification_code
  • subscription_renewal_upcoming
  • subscription_manage_login
  • subscription_manage_no_history
  • payout_created
  • payout_completed
  • store_invite
  • store_lock_changed
  • abandoned_checkout_recovery_attempt
  • purchase_follow_up_attempt
  • downloadable_file_granted
  • discord_invite_link
  • gift_card_created
  • trial_ending_soon
  • invoice_generated
  • payment_method_type_approval
  • store_trust_event
  • data_subject_request_export_completed
example_variablesnullRequired

Failed requests return a PayNowError body. See the error response guide.

curl -X GET "https://api.paynow.gg/v1/stores/{storeId}/marketing/email/template-definitions" \
  -H "Authorization: APIKey TOKEN"
Response204
[
  {
    "components": [
      {
        "content": "string",
        "tag": "string"
      }
    ],
    "default_content": "string",
    "display_name": "string",
    "email_template_type": "unspecified",
    "example_variables": {}
  }
]

Get Email Branding

GEThttps://api.paynow.gg/v1/stores/{storeId}/marketing/email/branding
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
Response
200OKEmailBrandingDto
Show fields
colorstringRequired
store_idFlakeIdRequired
header_image_dark_urlstringOptional
header_image_light_urlstringOptional

Failed requests return a PayNowError body. See the error response guide.

curl -X GET "https://api.paynow.gg/v1/stores/{storeId}/marketing/email/branding" \
  -H "Authorization: APIKey TOKEN"
Response200
{
  "color": "string",
  "store_id": "411486491630370816",
  "header_image_light_url": "string",
  "header_image_dark_url": "string"
}

Update Email Branding

PATCHhttps://api.paynow.gg/v1/stores/{storeId}/marketing/email/branding
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
Request body
colorstringOptional
header_image_dark_urlstringOptional
header_image_light_urlstringOptional
Response
200OKEmailBrandingDto
Show fields
colorstringRequired
store_idFlakeIdRequired
header_image_dark_urlstringOptional
header_image_light_urlstringOptional

Failed requests return a PayNowError body. See the error response guide.

curl -X PATCH "https://api.paynow.gg/v1/stores/{storeId}/marketing/email/branding" \
  -H "Authorization: APIKey TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "color": "string",
  "header_image_light_url": "string",
  "header_image_dark_url": "string"
}'
Response200
{
  "color": "string",
  "store_id": "411486491630370816",
  "header_image_light_url": "string",
  "header_image_dark_url": "string"
}

Get Email Branding Image Upload Url

GEThttps://api.paynow.gg/v1/stores/{storeId}/marketing/email/branding/image-upload-url
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
Query parameters
dark_modebooleanOptional
Response
200OKGetEmailBrandingImageUploadUrlResponseDto
Show fields
image_idstringRequired
upload_urlstringRequired

Failed requests return a PayNowError body. See the error response guide.

curl -X GET "https://api.paynow.gg/v1/stores/{storeId}/marketing/email/branding/image-upload-url" \
  -H "Authorization: APIKey TOKEN"
Response200
{
  "image_id": "string",
  "upload_url": "string"
}

Finish Email Branding Image Upload

POSThttps://api.paynow.gg/v1/stores/{storeId}/marketing/email/branding/image-upload-finish
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
Request body
dark_modebooleanRequired
image_idstringRequired
Response
204No Content

Failed requests return a PayNowError body. See the error response guide.

curl -X POST "https://api.paynow.gg/v1/stores/{storeId}/marketing/email/branding/image-upload-finish" \
  -H "Authorization: APIKey TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "dark_mode": true,
  "image_id": "string"
}'

Get Email Deliveries

GEThttps://api.paynow.gg/v1/stores/{storeId}/marketing/email/deliveries
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
Query parameters
limitintegerOptional
The maximum number of items to return in a single request.
afterFlakeIdOptional
Returns items after the specified ID. Used for forward pagination through results.
beforeFlakeIdOptional
Returns items before the specified ID. Used for backward pagination through results.
ascbooleanOptional
Determines the sort order of returned items. When true, items are returned in ascending order. When false, items are returned in descending order.
store_idFlakeIdOptional
email_delivery_idFlakeIdOptional
receiver_emailstringOptional
subjectstringOptional
email_template_typeenumOptional
statusenum[]Optional
message_idstringOptional
Response
200OKEmailDeliveryDto[]
Show fields
created_atstringRequired
email_template_typeenumRequired
Possible enum values
  • unspecified
  • layout
  • password_reset
  • email_verification
  • email_change
  • email_changed_notification
  • forgot_password
  • logged_in_new_location
  • welcome_login
  • order_completed
  • refund_initiated
  • subscription_canceled
  • subscription_renewal_failed
  • subscription_price_changed
  • subscription_change_verification_code
  • subscription_renewal_upcoming
  • subscription_manage_login
  • subscription_manage_no_history
  • payout_created
  • payout_completed
  • store_invite
  • store_lock_changed
  • abandoned_checkout_recovery_attempt
  • purchase_follow_up_attempt
  • downloadable_file_granted
  • discord_invite_link
  • gift_card_created
  • trial_ending_soon
  • invoice_generated
  • payment_method_type_approval
  • store_trust_event
  • data_subject_request_export_completed
idFlakeIdRequired
receiver_emailstringRequired
statusenumRequired
Possible enum values
  • unspecified
  • pending
  • sent
  • delivered
  • deferred
  • bounced
  • dropped
  • failed
subjectstringRequired
error_messagestringOptional
message_idstringOptional
opened_atstringOptional
sent_atstringOptional
store_idFlakeIdOptional

Failed requests return a PayNowError body. See the error response guide.

curl -X GET "https://api.paynow.gg/v1/stores/{storeId}/marketing/email/deliveries" \
  -H "Authorization: APIKey TOKEN"
Response200
[
  {
    "created_at": "2024-01-01T00:00:00Z",
    "email_template_type": "unspecified",
    "id": "411486491630370816",
    "receiver_email": "string",
    "status": "unspecified",
    "subject": "string",
    "store_id": "411486491630370816",
    "message_id": "string",
    "error_message": "string",
    "sent_at": "2024-01-01T00:00:00Z",
    "opened_at": "2024-01-01T00:00:00Z"
  }
]

Get Email Delivery

GEThttps://api.paynow.gg/v1/stores/{storeId}/marketing/email/deliveries/{emailDeliveryId}
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
emailDeliveryIdFlakeIdRequired
Response
200OKEmailDeliveryDto
Show fields
created_atstringRequired
email_template_typeenumRequired
Possible enum values
  • unspecified
  • layout
  • password_reset
  • email_verification
  • email_change
  • email_changed_notification
  • forgot_password
  • logged_in_new_location
  • welcome_login
  • order_completed
  • refund_initiated
  • subscription_canceled
  • subscription_renewal_failed
  • subscription_price_changed
  • subscription_change_verification_code
  • subscription_renewal_upcoming
  • subscription_manage_login
  • subscription_manage_no_history
  • payout_created
  • payout_completed
  • store_invite
  • store_lock_changed
  • abandoned_checkout_recovery_attempt
  • purchase_follow_up_attempt
  • downloadable_file_granted
  • discord_invite_link
  • gift_card_created
  • trial_ending_soon
  • invoice_generated
  • payment_method_type_approval
  • store_trust_event
  • data_subject_request_export_completed
idFlakeIdRequired
receiver_emailstringRequired
statusenumRequired
Possible enum values
  • unspecified
  • pending
  • sent
  • delivered
  • deferred
  • bounced
  • dropped
  • failed
subjectstringRequired
error_messagestringOptional
message_idstringOptional
opened_atstringOptional
sent_atstringOptional
store_idFlakeIdOptional

Failed requests return a PayNowError body. See the error response guide.

curl -X GET "https://api.paynow.gg/v1/stores/{storeId}/marketing/email/deliveries/{emailDeliveryId}" \
  -H "Authorization: APIKey TOKEN"
Response200
{
  "created_at": "2024-01-01T00:00:00Z",
  "email_template_type": "unspecified",
  "id": "411486491630370816",
  "receiver_email": "string",
  "status": "unspecified",
  "subject": "string",
  "store_id": "411486491630370816",
  "message_id": "string",
  "error_message": "string",
  "sent_at": "2024-01-01T00:00:00Z",
  "opened_at": "2024-01-01T00:00:00Z"
}

Gets the abandoned checkout behaviour for a store

GEThttps://api.paynow.gg/v1/stores/{storeId}/marketing/abandoned-checkouts/configuration
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
Response
200OKAbandonedCheckoutStoreConfigurationDto
Represents the store-level configuration for abandoned checkout settings.
Show fields
commandsAbandonedCheckoutStoreConfigurationCommandDto[]Required
The commands you want to execute when the email is sent.
commandstringRequired
The command to execute.
idFlakeIdRequired
online_onlybooleanRequired
Indicates if the command should be executed if the player is online.
store_idFlakeIdRequired
coupon_configurationMarketingCouponConfigurationDtoRequired
Represents the configuration settings for a coupon applied to marketing features.
customer_redeem_limitintegerRequired
Gets or sets the maximum number of times a single customer can redeem the coupon.
customer_redeem_limit_enabledbooleanRequired
Gets or sets a value indicating whether a customer-specific redeem limit is enabled.
discount_amountintegerRequired
Gets or sets the discount amount.
discount_apply_before_salesbooleanRequired
Gets or sets a value indicating whether the discount is applied before any existing sales or discounts.
discount_only_required_tags_or_productsbooleanRequired
Gets or sets a value indicating whether the discount only applies to specific tags or products.
discount_typeenumRequired
Specifies the type of discount applied by a coupon.
Possible enum values
  • unspecified

    No discount type specified. This value is typically used as a default or uninitialized state.

  • percent

    A percentage-based discount (e.g., 10% off).

  • amount

    A fixed amount discount (e.g., $5 off).

durationenumRequired
Defines the duration for which a coupon remains valid.
Possible enum values
  • once

    The coupon can be used only once.

  • forever

    The coupon remains valid indefinitely (no expiration).

  • repeating

    The coupon is valid for a repeating period, typically specified in months.

minimum_order_valueintegerRequired
Gets or sets the minimum order value required for the discount to be applied.
required_product_idsFlakeId[]Required
Gets or sets the list of product IDs required for the discount to apply.
required_tag_idsFlakeId[]Required
Gets or sets the list of tag IDs required for the discount to apply.
usable_on_one_time_purchasesbooleanRequired
Gets or sets a value indicating whether the coupon can be used on one-time purchases.
usable_on_subscriptionsbooleanRequired
Gets or sets a value indicating whether the coupon can be used on subscription purchases.
duration_in_intervalsintegerOptional
Gets or sets the duration of the coupon in intervals, applicable only for repeating coupons.
expires_afterPeriodOptional
ISO 8601 duration format
enabledbooleanRequired
A value indicating whether the abandoned checkout feature is enabled for the store.
invalidbooleanRequired
A value indicating whether the abandoned checkout configuration for the store is invalid.
minimum_order_valueintegerRequired
The minimum order value required to trigger an abandoned checkout email.
store_idFlakeIdRequired
trigger_afterPeriodRequired
ISO 8601 duration format
updated_atstringRequired
The date and time when the configuration was last updated.
updated_byActorDtoRequired
typeenumRequired
Possible enum values
  • anonymous
  • user
  • api_key
  • customer
  • game_server
  • internal
  • admin
  • platform
  • global_customer
idFlakeIdOptional
max_coupons_global_amountintegerOptional
The optional maximum coupons limit store wide beyond which an abandoned checkout email will not be sent.
max_coupons_global_periodPeriodOptional
ISO 8601 duration format
max_coupons_per_customer_amountintegerOptional
The optional maximum coupons limit per customer beyond which an abandoned checkout email will not be sent.
max_coupons_per_customer_periodPeriodOptional
ISO 8601 duration format
maximum_order_valueintegerOptional
The optional maximum order value beyond which an abandoned checkout email will not be sent.

Failed requests return a PayNowError body. See the error response guide.

curl -X GET "https://api.paynow.gg/v1/stores/{storeId}/marketing/abandoned-checkouts/configuration" \
  -H "Authorization: APIKey TOKEN"
Response200
{
  "commands": [
    {
      "command": "string",
      "id": "411486491630370816",
      "online_only": true,
      "store_id": "411486491630370816"
    }
  ],
  "coupon_configuration": {
    "customer_redeem_limit": 0,
    "customer_redeem_limit_enabled": true,
    "discount_amount": 0,
    "discount_apply_before_sales": true,
    "discount_only_required_tags_or_products": true,
    "discount_type": "unspecified",
    "duration": "once",
    "minimum_order_value": 0,
    "required_product_ids": [
      "411486491630370816"
    ],
    "required_tag_ids": [
      "411486491630370816"
    ],
    "usable_on_one_time_purchases": true,
    "usable_on_subscriptions": true,
    "duration_in_intervals": 0,
    "expires_after": "P1Y2M3DT4H5M6S"
  },
  "enabled": true,
  "invalid": true,
  "minimum_order_value": 0,
  "store_id": "411486491630370816",
  "trigger_after": "P1Y2M3DT4H5M6S",
  "updated_at": "2024-01-01T00:00:00Z",
  "updated_by": {
    "type": "anonymous",
    "id": "411486491630370816"
  },
  "maximum_order_value": 0,
  "max_coupons_per_customer_amount": 0,
  "max_coupons_per_customer_period": "P1Y2M3DT4H5M6S",
  "max_coupons_global_amount": 0,
  "max_coupons_global_period": "P1Y2M3DT4H5M6S"
}

Sets the abandoned checkout behaviour for a store

PUThttps://api.paynow.gg/v1/stores/{storeId}/marketing/abandoned-checkouts/configuration
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
Request body
commandsAbandonedCheckoutStoreConfigurationUpdateCommandDto[]Required
Represents a command associated with the store-level abandoned checkout configuration.
commandstringRequired
The command to execute.
online_onlybooleanRequired
Indicates if the command should be executed if the player is online.
coupon_configurationMarketingCouponConfigurationDtoRequired
Represents the configuration settings for a coupon applied to marketing features.
customer_redeem_limitintegerRequired
Gets or sets the maximum number of times a single customer can redeem the coupon.
customer_redeem_limit_enabledbooleanRequired
Gets or sets a value indicating whether a customer-specific redeem limit is enabled.
discount_amountintegerRequired
Gets or sets the discount amount.
discount_apply_before_salesbooleanRequired
Gets or sets a value indicating whether the discount is applied before any existing sales or discounts.
discount_only_required_tags_or_productsbooleanRequired
Gets or sets a value indicating whether the discount only applies to specific tags or products.
discount_typeenumRequired
Specifies the type of discount applied by a coupon.
Possible enum values
  • unspecified

    No discount type specified. This value is typically used as a default or uninitialized state.

  • percent

    A percentage-based discount (e.g., 10% off).

  • amount

    A fixed amount discount (e.g., $5 off).

durationenumRequired
Defines the duration for which a coupon remains valid.
Possible enum values
  • once

    The coupon can be used only once.

  • forever

    The coupon remains valid indefinitely (no expiration).

  • repeating

    The coupon is valid for a repeating period, typically specified in months.

minimum_order_valueintegerRequired
Gets or sets the minimum order value required for the discount to be applied.
required_product_idsFlakeId[]Required
Gets or sets the list of product IDs required for the discount to apply.
required_tag_idsFlakeId[]Required
Gets or sets the list of tag IDs required for the discount to apply.
usable_on_one_time_purchasesbooleanRequired
Gets or sets a value indicating whether the coupon can be used on one-time purchases.
usable_on_subscriptionsbooleanRequired
Gets or sets a value indicating whether the coupon can be used on subscription purchases.
duration_in_intervalsintegerOptional
Gets or sets the duration of the coupon in intervals, applicable only for repeating coupons.
expires_afterPeriodOptional
ISO 8601 duration format
enabledbooleanRequired
A value indicating whether the abandoned checkout feature is enabled for the store.
minimum_order_valueintegerRequired
The minimum order value required to trigger an abandoned checkout email.
trigger_afterPeriodRequired
ISO 8601 duration format
max_coupons_global_amountintegerOptional
The optional maximum coupons limit store wide beyond which an abandoned checkout email will not be sent.
max_coupons_global_periodPeriodOptional
ISO 8601 duration format
max_coupons_per_customer_amountintegerOptional
The optional maximum coupons limit per customer beyond which an abandoned checkout email will not be sent.
max_coupons_per_customer_periodPeriodOptional
ISO 8601 duration format
maximum_order_valueintegerOptional
The optional maximum order value beyond which an abandoned checkout email will not be sent.
Response
200OKAbandonedCheckoutStoreConfigurationDto
Represents the store-level configuration for abandoned checkout settings.
Show fields
commandsAbandonedCheckoutStoreConfigurationCommandDto[]Required
The commands you want to execute when the email is sent.
commandstringRequired
The command to execute.
idFlakeIdRequired
online_onlybooleanRequired
Indicates if the command should be executed if the player is online.
store_idFlakeIdRequired
coupon_configurationMarketingCouponConfigurationDtoRequired
Represents the configuration settings for a coupon applied to marketing features.
customer_redeem_limitintegerRequired
Gets or sets the maximum number of times a single customer can redeem the coupon.
customer_redeem_limit_enabledbooleanRequired
Gets or sets a value indicating whether a customer-specific redeem limit is enabled.
discount_amountintegerRequired
Gets or sets the discount amount.
discount_apply_before_salesbooleanRequired
Gets or sets a value indicating whether the discount is applied before any existing sales or discounts.
discount_only_required_tags_or_productsbooleanRequired
Gets or sets a value indicating whether the discount only applies to specific tags or products.
discount_typeenumRequired
Specifies the type of discount applied by a coupon.
Possible enum values
  • unspecified

    No discount type specified. This value is typically used as a default or uninitialized state.

  • percent

    A percentage-based discount (e.g., 10% off).

  • amount

    A fixed amount discount (e.g., $5 off).

durationenumRequired
Defines the duration for which a coupon remains valid.
Possible enum values
  • once

    The coupon can be used only once.

  • forever

    The coupon remains valid indefinitely (no expiration).

  • repeating

    The coupon is valid for a repeating period, typically specified in months.

minimum_order_valueintegerRequired
Gets or sets the minimum order value required for the discount to be applied.
required_product_idsFlakeId[]Required
Gets or sets the list of product IDs required for the discount to apply.
required_tag_idsFlakeId[]Required
Gets or sets the list of tag IDs required for the discount to apply.
usable_on_one_time_purchasesbooleanRequired
Gets or sets a value indicating whether the coupon can be used on one-time purchases.
usable_on_subscriptionsbooleanRequired
Gets or sets a value indicating whether the coupon can be used on subscription purchases.
duration_in_intervalsintegerOptional
Gets or sets the duration of the coupon in intervals, applicable only for repeating coupons.
expires_afterPeriodOptional
ISO 8601 duration format
enabledbooleanRequired
A value indicating whether the abandoned checkout feature is enabled for the store.
invalidbooleanRequired
A value indicating whether the abandoned checkout configuration for the store is invalid.
minimum_order_valueintegerRequired
The minimum order value required to trigger an abandoned checkout email.
store_idFlakeIdRequired
trigger_afterPeriodRequired
ISO 8601 duration format
updated_atstringRequired
The date and time when the configuration was last updated.
updated_byActorDtoRequired
typeenumRequired
Possible enum values
  • anonymous
  • user
  • api_key
  • customer
  • game_server
  • internal
  • admin
  • platform
  • global_customer
idFlakeIdOptional
max_coupons_global_amountintegerOptional
The optional maximum coupons limit store wide beyond which an abandoned checkout email will not be sent.
max_coupons_global_periodPeriodOptional
ISO 8601 duration format
max_coupons_per_customer_amountintegerOptional
The optional maximum coupons limit per customer beyond which an abandoned checkout email will not be sent.
max_coupons_per_customer_periodPeriodOptional
ISO 8601 duration format
maximum_order_valueintegerOptional
The optional maximum order value beyond which an abandoned checkout email will not be sent.
204No Content

Failed requests return a PayNowError body. See the error response guide.

curl -X PUT "https://api.paynow.gg/v1/stores/{storeId}/marketing/abandoned-checkouts/configuration" \
  -H "Authorization: APIKey TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "commands": [
    {
      "command": "string",
      "online_only": true
    }
  ],
  "coupon_configuration": {
    "customer_redeem_limit": 0,
    "customer_redeem_limit_enabled": true,
    "discount_amount": 0,
    "discount_apply_before_sales": true,
    "discount_only_required_tags_or_products": true,
    "discount_type": "unspecified",
    "duration": "once",
    "minimum_order_value": 0,
    "required_product_ids": [
      "411486491630370816"
    ],
    "required_tag_ids": [
      "411486491630370816"
    ],
    "usable_on_one_time_purchases": true,
    "usable_on_subscriptions": true,
    "duration_in_intervals": 0,
    "expires_after": "P1Y2M3DT4H5M6S"
  },
  "enabled": true,
  "minimum_order_value": 0,
  "trigger_after": "P1Y2M3DT4H5M6S",
  "maximum_order_value": 0,
  "max_coupons_per_customer_amount": 0,
  "max_coupons_per_customer_period": "P1Y2M3DT4H5M6S",
  "max_coupons_global_amount": 0,
  "max_coupons_global_period": "P1Y2M3DT4H5M6S"
}'
Response200
{
  "commands": [
    {
      "command": "string",
      "id": "411486491630370816",
      "online_only": true,
      "store_id": "411486491630370816"
    }
  ],
  "coupon_configuration": {
    "customer_redeem_limit": 0,
    "customer_redeem_limit_enabled": true,
    "discount_amount": 0,
    "discount_apply_before_sales": true,
    "discount_only_required_tags_or_products": true,
    "discount_type": "unspecified",
    "duration": "once",
    "minimum_order_value": 0,
    "required_product_ids": [
      "411486491630370816"
    ],
    "required_tag_ids": [
      "411486491630370816"
    ],
    "usable_on_one_time_purchases": true,
    "usable_on_subscriptions": true,
    "duration_in_intervals": 0,
    "expires_after": "P1Y2M3DT4H5M6S"
  },
  "enabled": true,
  "invalid": true,
  "minimum_order_value": 0,
  "store_id": "411486491630370816",
  "trigger_after": "P1Y2M3DT4H5M6S",
  "updated_at": "2024-01-01T00:00:00Z",
  "updated_by": {
    "type": "anonymous",
    "id": "411486491630370816"
  },
  "maximum_order_value": 0,
  "max_coupons_per_customer_amount": 0,
  "max_coupons_per_customer_period": "P1Y2M3DT4H5M6S",
  "max_coupons_global_amount": 0,
  "max_coupons_global_period": "P1Y2M3DT4H5M6S"
}

Gets the purchase follow up behaviour for a store

GEThttps://api.paynow.gg/v1/stores/{storeId}/marketing/purchase-follow-ups/configuration
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
Response
200OKPurchaseFollowUpStoreConfigurationDto
Represents the store-level configuration for abandoned checkout settings.
Show fields
commandsPurchaseFollowUpStoreConfigurationCommandDto[]Required
The commands you want to execute when the email is sent.
commandstringRequired
The command to execute.
idFlakeIdRequired
online_onlybooleanRequired
Indicates if the command should be executed if the player is online.
store_idFlakeIdRequired
coupon_configurationMarketingCouponConfigurationDtoRequired
Represents the configuration settings for a coupon applied to marketing features.
customer_redeem_limitintegerRequired
Gets or sets the maximum number of times a single customer can redeem the coupon.
customer_redeem_limit_enabledbooleanRequired
Gets or sets a value indicating whether a customer-specific redeem limit is enabled.
discount_amountintegerRequired
Gets or sets the discount amount.
discount_apply_before_salesbooleanRequired
Gets or sets a value indicating whether the discount is applied before any existing sales or discounts.
discount_only_required_tags_or_productsbooleanRequired
Gets or sets a value indicating whether the discount only applies to specific tags or products.
discount_typeenumRequired
Specifies the type of discount applied by a coupon.
Possible enum values
  • unspecified

    No discount type specified. This value is typically used as a default or uninitialized state.

  • percent

    A percentage-based discount (e.g., 10% off).

  • amount

    A fixed amount discount (e.g., $5 off).

durationenumRequired
Defines the duration for which a coupon remains valid.
Possible enum values
  • once

    The coupon can be used only once.

  • forever

    The coupon remains valid indefinitely (no expiration).

  • repeating

    The coupon is valid for a repeating period, typically specified in months.

minimum_order_valueintegerRequired
Gets or sets the minimum order value required for the discount to be applied.
required_product_idsFlakeId[]Required
Gets or sets the list of product IDs required for the discount to apply.
required_tag_idsFlakeId[]Required
Gets or sets the list of tag IDs required for the discount to apply.
usable_on_one_time_purchasesbooleanRequired
Gets or sets a value indicating whether the coupon can be used on one-time purchases.
usable_on_subscriptionsbooleanRequired
Gets or sets a value indicating whether the coupon can be used on subscription purchases.
duration_in_intervalsintegerOptional
Gets or sets the duration of the coupon in intervals, applicable only for repeating coupons.
expires_afterPeriodOptional
ISO 8601 duration format
enabledbooleanRequired
A value indicating whether the abandoned checkout feature is enabled for the store.
invalidbooleanRequired
A value indicating whether the abandoned checkout configuration for the store is invalid.
minimum_order_valueintegerRequired
The minimum order value required to trigger an abandoned checkout email.
store_idFlakeIdRequired
trigger_afterPeriodRequired
ISO 8601 duration format
updated_atstringRequired
The date and time when the configuration was last updated.
updated_byActorDtoRequired
typeenumRequired
Possible enum values
  • anonymous
  • user
  • api_key
  • customer
  • game_server
  • internal
  • admin
  • platform
  • global_customer
idFlakeIdOptional
max_coupons_global_amountintegerOptional
The optional maximum coupons limit store wide beyond which an abandoned checkout email will not be sent.
max_coupons_global_periodPeriodOptional
ISO 8601 duration format
max_coupons_per_customer_amountintegerOptional
The optional maximum coupons limit per customer beyond which an abandoned checkout email will not be sent.
max_coupons_per_customer_periodPeriodOptional
ISO 8601 duration format
maximum_order_valueintegerOptional
The optional maximum order value beyond which an abandoned checkout email will not be sent.

Failed requests return a PayNowError body. See the error response guide.

curl -X GET "https://api.paynow.gg/v1/stores/{storeId}/marketing/purchase-follow-ups/configuration" \
  -H "Authorization: APIKey TOKEN"
Response200
{
  "commands": [
    {
      "command": "string",
      "id": "411486491630370816",
      "online_only": true,
      "store_id": "411486491630370816"
    }
  ],
  "coupon_configuration": {
    "customer_redeem_limit": 0,
    "customer_redeem_limit_enabled": true,
    "discount_amount": 0,
    "discount_apply_before_sales": true,
    "discount_only_required_tags_or_products": true,
    "discount_type": "unspecified",
    "duration": "once",
    "minimum_order_value": 0,
    "required_product_ids": [
      "411486491630370816"
    ],
    "required_tag_ids": [
      "411486491630370816"
    ],
    "usable_on_one_time_purchases": true,
    "usable_on_subscriptions": true,
    "duration_in_intervals": 0,
    "expires_after": "P1Y2M3DT4H5M6S"
  },
  "enabled": true,
  "invalid": true,
  "minimum_order_value": 0,
  "store_id": "411486491630370816",
  "trigger_after": "P1Y2M3DT4H5M6S",
  "updated_at": "2024-01-01T00:00:00Z",
  "updated_by": {
    "type": "anonymous",
    "id": "411486491630370816"
  },
  "maximum_order_value": 0,
  "max_coupons_per_customer_amount": 0,
  "max_coupons_per_customer_period": "P1Y2M3DT4H5M6S",
  "max_coupons_global_amount": 0,
  "max_coupons_global_period": "P1Y2M3DT4H5M6S"
}

Sets the purchase follow up behaviour for a store

PUThttps://api.paynow.gg/v1/stores/{storeId}/marketing/purchase-follow-ups/configuration
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
Request body
commandsPurchaseFollowUpStoreConfigurationUpdateCommandDto[]Required
Represents a command associated with the store-level purchase follow uo configuration.
commandstringRequired
The command to execute.
online_onlybooleanRequired
Indicates if the command should be executed if the player is online.
coupon_configurationMarketingCouponConfigurationDtoRequired
Represents the configuration settings for a coupon applied to marketing features.
customer_redeem_limitintegerRequired
Gets or sets the maximum number of times a single customer can redeem the coupon.
customer_redeem_limit_enabledbooleanRequired
Gets or sets a value indicating whether a customer-specific redeem limit is enabled.
discount_amountintegerRequired
Gets or sets the discount amount.
discount_apply_before_salesbooleanRequired
Gets or sets a value indicating whether the discount is applied before any existing sales or discounts.
discount_only_required_tags_or_productsbooleanRequired
Gets or sets a value indicating whether the discount only applies to specific tags or products.
discount_typeenumRequired
Specifies the type of discount applied by a coupon.
Possible enum values
  • unspecified

    No discount type specified. This value is typically used as a default or uninitialized state.

  • percent

    A percentage-based discount (e.g., 10% off).

  • amount

    A fixed amount discount (e.g., $5 off).

durationenumRequired
Defines the duration for which a coupon remains valid.
Possible enum values
  • once

    The coupon can be used only once.

  • forever

    The coupon remains valid indefinitely (no expiration).

  • repeating

    The coupon is valid for a repeating period, typically specified in months.

minimum_order_valueintegerRequired
Gets or sets the minimum order value required for the discount to be applied.
required_product_idsFlakeId[]Required
Gets or sets the list of product IDs required for the discount to apply.
required_tag_idsFlakeId[]Required
Gets or sets the list of tag IDs required for the discount to apply.
usable_on_one_time_purchasesbooleanRequired
Gets or sets a value indicating whether the coupon can be used on one-time purchases.
usable_on_subscriptionsbooleanRequired
Gets or sets a value indicating whether the coupon can be used on subscription purchases.
duration_in_intervalsintegerOptional
Gets or sets the duration of the coupon in intervals, applicable only for repeating coupons.
expires_afterPeriodOptional
ISO 8601 duration format
enabledbooleanRequired
A value indicating whether the abandoned checkout feature is enabled for the store.
minimum_order_valueintegerRequired
The minimum order value required to trigger an abandoned checkout email.
trigger_afterPeriodRequired
ISO 8601 duration format
max_coupons_global_amountintegerOptional
The optional maximum coupons limit store wide beyond which an abandoned checkout email will not be sent.
max_coupons_global_periodPeriodOptional
ISO 8601 duration format
max_coupons_per_customer_amountintegerOptional
The optional maximum coupons limit per customer beyond which an abandoned checkout email will not be sent.
max_coupons_per_customer_periodPeriodOptional
ISO 8601 duration format
maximum_order_valueintegerOptional
The optional maximum order value beyond which an abandoned checkout email will not be sent.
Response
200OKPurchaseFollowUpStoreConfigurationDto
Represents the store-level configuration for abandoned checkout settings.
Show fields
commandsPurchaseFollowUpStoreConfigurationCommandDto[]Required
The commands you want to execute when the email is sent.
commandstringRequired
The command to execute.
idFlakeIdRequired
online_onlybooleanRequired
Indicates if the command should be executed if the player is online.
store_idFlakeIdRequired
coupon_configurationMarketingCouponConfigurationDtoRequired
Represents the configuration settings for a coupon applied to marketing features.
customer_redeem_limitintegerRequired
Gets or sets the maximum number of times a single customer can redeem the coupon.
customer_redeem_limit_enabledbooleanRequired
Gets or sets a value indicating whether a customer-specific redeem limit is enabled.
discount_amountintegerRequired
Gets or sets the discount amount.
discount_apply_before_salesbooleanRequired
Gets or sets a value indicating whether the discount is applied before any existing sales or discounts.
discount_only_required_tags_or_productsbooleanRequired
Gets or sets a value indicating whether the discount only applies to specific tags or products.
discount_typeenumRequired
Specifies the type of discount applied by a coupon.
Possible enum values
  • unspecified

    No discount type specified. This value is typically used as a default or uninitialized state.

  • percent

    A percentage-based discount (e.g., 10% off).

  • amount

    A fixed amount discount (e.g., $5 off).

durationenumRequired
Defines the duration for which a coupon remains valid.
Possible enum values
  • once

    The coupon can be used only once.

  • forever

    The coupon remains valid indefinitely (no expiration).

  • repeating

    The coupon is valid for a repeating period, typically specified in months.

minimum_order_valueintegerRequired
Gets or sets the minimum order value required for the discount to be applied.
required_product_idsFlakeId[]Required
Gets or sets the list of product IDs required for the discount to apply.
required_tag_idsFlakeId[]Required
Gets or sets the list of tag IDs required for the discount to apply.
usable_on_one_time_purchasesbooleanRequired
Gets or sets a value indicating whether the coupon can be used on one-time purchases.
usable_on_subscriptionsbooleanRequired
Gets or sets a value indicating whether the coupon can be used on subscription purchases.
duration_in_intervalsintegerOptional
Gets or sets the duration of the coupon in intervals, applicable only for repeating coupons.
expires_afterPeriodOptional
ISO 8601 duration format
enabledbooleanRequired
A value indicating whether the abandoned checkout feature is enabled for the store.
invalidbooleanRequired
A value indicating whether the abandoned checkout configuration for the store is invalid.
minimum_order_valueintegerRequired
The minimum order value required to trigger an abandoned checkout email.
store_idFlakeIdRequired
trigger_afterPeriodRequired
ISO 8601 duration format
updated_atstringRequired
The date and time when the configuration was last updated.
updated_byActorDtoRequired
typeenumRequired
Possible enum values
  • anonymous
  • user
  • api_key
  • customer
  • game_server
  • internal
  • admin
  • platform
  • global_customer
idFlakeIdOptional
max_coupons_global_amountintegerOptional
The optional maximum coupons limit store wide beyond which an abandoned checkout email will not be sent.
max_coupons_global_periodPeriodOptional
ISO 8601 duration format
max_coupons_per_customer_amountintegerOptional
The optional maximum coupons limit per customer beyond which an abandoned checkout email will not be sent.
max_coupons_per_customer_periodPeriodOptional
ISO 8601 duration format
maximum_order_valueintegerOptional
The optional maximum order value beyond which an abandoned checkout email will not be sent.
204No Content

Failed requests return a PayNowError body. See the error response guide.

curl -X PUT "https://api.paynow.gg/v1/stores/{storeId}/marketing/purchase-follow-ups/configuration" \
  -H "Authorization: APIKey TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "commands": [
    {
      "command": "string",
      "online_only": true
    }
  ],
  "coupon_configuration": {
    "customer_redeem_limit": 0,
    "customer_redeem_limit_enabled": true,
    "discount_amount": 0,
    "discount_apply_before_sales": true,
    "discount_only_required_tags_or_products": true,
    "discount_type": "unspecified",
    "duration": "once",
    "minimum_order_value": 0,
    "required_product_ids": [
      "411486491630370816"
    ],
    "required_tag_ids": [
      "411486491630370816"
    ],
    "usable_on_one_time_purchases": true,
    "usable_on_subscriptions": true,
    "duration_in_intervals": 0,
    "expires_after": "P1Y2M3DT4H5M6S"
  },
  "enabled": true,
  "minimum_order_value": 0,
  "trigger_after": "P1Y2M3DT4H5M6S",
  "maximum_order_value": 0,
  "max_coupons_per_customer_amount": 0,
  "max_coupons_per_customer_period": "P1Y2M3DT4H5M6S",
  "max_coupons_global_amount": 0,
  "max_coupons_global_period": "P1Y2M3DT4H5M6S"
}'
Response200
{
  "commands": [
    {
      "command": "string",
      "id": "411486491630370816",
      "online_only": true,
      "store_id": "411486491630370816"
    }
  ],
  "coupon_configuration": {
    "customer_redeem_limit": 0,
    "customer_redeem_limit_enabled": true,
    "discount_amount": 0,
    "discount_apply_before_sales": true,
    "discount_only_required_tags_or_products": true,
    "discount_type": "unspecified",
    "duration": "once",
    "minimum_order_value": 0,
    "required_product_ids": [
      "411486491630370816"
    ],
    "required_tag_ids": [
      "411486491630370816"
    ],
    "usable_on_one_time_purchases": true,
    "usable_on_subscriptions": true,
    "duration_in_intervals": 0,
    "expires_after": "P1Y2M3DT4H5M6S"
  },
  "enabled": true,
  "invalid": true,
  "minimum_order_value": 0,
  "store_id": "411486491630370816",
  "trigger_after": "P1Y2M3DT4H5M6S",
  "updated_at": "2024-01-01T00:00:00Z",
  "updated_by": {
    "type": "anonymous",
    "id": "411486491630370816"
  },
  "maximum_order_value": 0,
  "max_coupons_per_customer_amount": 0,
  "max_coupons_per_customer_period": "P1Y2M3DT4H5M6S",
  "max_coupons_global_amount": 0,
  "max_coupons_global_period": "P1Y2M3DT4H5M6S"
}